Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.app.analyst.csv
Class TimeSeriesUtil

    java.lang.Object
      org.encog.app.analyst.csv.TimeSeriesUtil

    public class TimeSeriesUtil

extends Object

A utility used to breat data into time-series lead and lag.

Constructor Summary
`TimeSeriesUtil(EncogAnalyst theAnalyst, boolean includeOutput, List<String> headings)` Construct the time-series utility.

Method Summary
`EncogAnalyst` | `getAnalyst()`
`List<double[]>` | `getBuffer()`
`Map<String,Integer>` | `getHeadingMap()`
`int` | `getInputSize()`
`int` | `getLagDepth()`
`int` | `getLeadDepth()`
`int` | `getOutputSize()`
`int` | `getTotalDepth()`
`double[]` | `process(double[] input)` Process a row.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TimeSeriesUtil

    public TimeSeriesUtil(EncogAnalyst theAnalyst,
                          boolean includeOutput,
                          List<String> headings)

  Construct the time-series utility.

  Parameters:
    `theAnalyst` - The analyst to use.
    `headings` - The column headings.

Method Detail

### getAnalyst

    public final EncogAnalyst getAnalyst()

  Returns:
    the analyst

### getBuffer

    public final List<double[]> getBuffer()

  Returns:
    the buffer

### getHeadingMap

    public final Map<String,Integer> getHeadingMap()

  Returns:
    the headingMap

### getInputSize

    public final int getInputSize()

  Returns:
    the inputSize

### getLagDepth

    public final int getLagDepth()

  Returns:
    the lagDepth

### getLeadDepth

    public final int getLeadDepth()

  Returns:
    the leadDepth

### getOutputSize

    public final int getOutputSize()

  Returns:
    the outputSize

### getTotalDepth

    public final int getTotalDepth()

  Returns:
    the totalDepth

### process

    public final double[] process(double[] input)

  Process a row.

  Parameters:
    `input` - The input.
  Returns:
    The output.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.